tech-kern archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

BIOS/ACPI interrupt conflict

I just upgraded NetBSD to 5.1 and had to add the same patch
I have been adding for over 3 years. I first sent a message on this
in 2007:

I still think that NetBSD disabling a valid interrupt is wrong.
I did receive email from one person for whom the patch helped,
and suspect it would help others.
Probably a little better patch would be to add a warning.
Bios is correct, and ACPI wrong, I have seen this on other
machines. And as I said in the 2007 email, even if ACPI had
been the correct one, it still was not going to setup the

Cliff Wright <>

Home | Main Index | Thread Index | Old Index